Skip to main content

Test LDAP Connection

Using this API, LDAP Connection for the provided componentID in the request can be tested.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

POST https://{tenantId}.{hostname}/digitanium/v4/ldap/{componentId}/testconnection?action=testConnection

HTTP request URL for SHIFT​

POST https://{hostname}/auth/realms/{tenantId}/v3_ldap/testLDAPConnection/{componentId}/testconnection?action=testConnection
note

At this moment, this API is applicable for SSMS based installations.

note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

Field NameTypeDescription
actionStringAction should be in 'testConnection' (Query Parameter)

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{
"message": "LDAP test connection successful!",
"status": "OK",
"subSystem": 9
}

Response Status Information​

Status CodeStatusMessage
200OKLDAP test connection successful!
400BAD_REQUESTComponent Not found
401UnauthorizedHTTP 401 Unauthorized